Security Features

Affecting rsync package, versions *

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

The parse_arguments function in options.c in rsyncd in rsync before 3.1.3 does not prevent multiple --protect-args uses, which allows remote attackers to bypass an argument-sanitization protection mechanism.

References

CVSS Score

7.5
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
CVE
CVE-2018-5764
Snyk ID
SNYK-DEBIAN9-RSYNC-345681
Disclosed
17 Jan, 2018
Published
17 Jan, 2018